#!/usr/local/bin/gawk -f

BEGIN {
  if (haba == 0) haba = 0;
  for (i=0; i<haba*2+1; i++) {
    pre[i] = 0.0;
    ind[i] = 0;
  }
  sum = 0.0;
  counter = 1;
  header = 0;
}

{
  sum -= pre[header];
  ind[header] = $1;
  pre[header] = $2;
  sum += pre[header];
  header = (header+1) % (haba*2+1);
  if (counter <= haba) {
    counter++;
  } else if (counter <= haba*2) {
    printf("%d\t%g\n", ind[(header+haba) % (haba*2+1)], sum/counter);
    counter++;
  } else {
    printf("%d\t%g\n", ind[(header+haba) % (haba*2+1)], sum/counter);
  }
}

END {
  for (j=0; j<haba; j++) {
    sum -= pre[header];
    header = (header+1) % (haba*2+1);
    counter--;
    printf("%d\t%g\n", ind[(header+haba) % (haba*2+1)], sum/counter);
  }
}

